> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update kyc document

> Update kyc document



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json put /store/kyc-document/{id}
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /store/kyc-document/{id}:
    parameters:
      - name: id
        in: path
        description: kyc document id
        required: true
        schema:
          type: string
    put:
      tags:
        - Store
      summary: Update kyc document
      description: Update kyc document
      operationId: update-kyc-document
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateKycDocumentConfig'
              type: object
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      kyc_document:
                        $ref: '#/components/schemas/KycDocumentConfig'
                    type: object
components:
  schemas:
    UpdateKycDocumentConfig:
      title: UpdateKycDocumentConfig
      type: object
      required:
        - title
        - is_mandatory
        - is_attachment_required
        - verification_type
      properties:
        title:
          type: string
        description:
          type:
            - string
            - 'null'
        active:
          type: boolean
          default: true
        is_mandatory:
          type: boolean
        is_attachment_required:
          type: boolean
        verification_type:
          enum:
            - automatic
            - manual
      x-tags:
        - Store
    KycDocumentConfig:
      title: KycDocumentConfig
      type: object
      required:
        - document_type
        - title
        - is_mandatory
        - is_attachment_required
        - verification_type
      properties:
        id:
          type: string
          readOnly: true
        document_type:
          enum:
            - gst
            - pan
            - other
        title:
          type: string
        description:
          type:
            - string
            - 'null'
        active:
          type: boolean
          default: true
        is_mandatory:
          type: boolean
        is_attachment_required:
          type: boolean
        verification_type:
          enum:
            - auto
            - manual
      x-tags:
        - Store
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````